{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;
  audiobookshelfLabel = "Audiobookshelf";
  audiobookshelfName = "audiobookshelf";
  audiobookshelfSubdomain = "books";
  audiobookshelfDomain = "${audiobookshelfSubdomain}.${domain0}";
in
{
  label = audiobookshelfLabel;
  name = audiobookshelfName;
  short = "Books";
  sops = {
    path0 = "${sopsPath}/${audiobookshelfName}";
  };
  domains = {
    url0 = audiobookshelfDomain;
  };
  subdomain = audiobookshelfSubdomain;
  tags = [

  ];
  paths = {
    path0 = "${servicePath}/${audiobookshelfLabel}";
  };
  ports = {
    port0 = 8000;
  };
  ssl = {
    cert = "${sslPath}/${audiobookshelfSubdomain}.${domain0}/fullchain.pem";
    key = "${sslPath}/${audiobookshelfSubdomain}.${domain0}/key.pem";
  };
}
